import type { RouteRecordRaw } from 'vue-router';
import ErrorPage from '@/pages/Error/index.vue';
import AppLayout from '@/layouts/app/index.vue';
import { EnumPage } from './constant';
const RootRoute: RouteRecordRaw = {
  path: '/',
  name: 'Root',
  redirect: EnumPage.Home
}

const HomeRoute: RouteRecordRaw = {
  path: '/app',
  name: 'App',
  redirect: '/app/home',
  component: AppLayout,
  children: [
    {
      path: 'home',
      name: 'Home',
      component: () => import('@/pages/Home/index.vue'),
      meta: {
        title: '首页'
      }
    }
  ]
}
const LoginRoute: RouteRecordRaw = {
  path: '/login',
  name: 'Login',
  component: () => import('@/pages/Login/index.vue'),
  meta: {
    title: '登录页'
  }
}

const ErrorRoute: RouteRecordRaw = {
  path: '/error',
  name: 'Error',
  component: ErrorPage,
  meta: {
    title: '错误页'
  }
}

export const baseRoutes = [
  RootRoute,
  HomeRoute,
  LoginRoute,
  ErrorRoute
]
